Ask Your Question
0

trac-ik lib is not loding

asked 2019-07-06 12:22:20 -0600

leo gravatar image

I try to install trac-ik to moveit by using apt-get in ubuntu 16.04, kinetic version. However I don't know why when I start the demo of the moveit, it keeps give me the error of:

The kinematics plugin (arm) failed to load. Error: Failed to load library /opt/ros/kinetic/lib//libtrac_ik_kinematics_plugin.so. Make sure that you are calling the PLUGINLIB_EXPORT_CLASS macro in the library code, and that names are consistent between this macro and your XML. Error string: Could not load library (Poco exception = libmoveit_kinematics_base.so.0.9.15: cannot open shared object file: No such file or directory)

when I look at the path /opt/ros/kinetic/lib//libtrac_ik_kinematics_plugin.so. has an addition / in lib//libtrac_ik_kinematics_plugin.so. I tried to delete trac_ik and install again but it still the same. It's really wired, It's all install automatically. Could someone tell me where I can modify to make this path correct? Thanks so much.

edit retag flag offensive close merge delete

Comments

My colleague doing the same installation of trac-ik but not any problems... I do believe if I reinstall the system may fix this but there was a lot thing in my computer at the moment, I won't be able to that. How can fix this issues without reinstall the system?

leo gravatar image leo  ( 2019-07-06 23:30:42 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2020-08-13 03:36:51 -0600

I had the same error after installing trac_ik, solved it by:

  1. Upgrade

    sudo apt-get upgrade

  2. Delete devel and build

  3. Rebuild your workspace

    catkin_make

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2019-07-06 12:22:20 -0600

Seen: 249 times

Last updated: Jul 06 '19